package de.assecutor.pdftool.invoice;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface InvoiceDraftRepository extends MongoRepository<InvoiceDraft, String> {

    Optional<InvoiceDraft> findByName(String name);

    boolean existsByName(String name);
}
